# ATITextureEnvCombine3 (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ATITextureEnvCombine3

    java.lang.Object
      org.lwjgl.opengl.ATITextureEnvCombine3

    public final class ATITextureEnvCombine3

extends java.lang.Object

Field Summary
`static int` `GL_MODULATE_ADD_ATI` Accepted by the <params> parameter of TexEnvf, TexEnvi, TexEnvfv, and TexEnviv when the <pname> parameter value is COMBINE_RGB_ARB or COMBINE_ALPHA_ARB
`static int` `GL_MODULATE_SIGNED_ADD_ATI` Accepted by the <params> parameter of TexEnvf, TexEnvi, TexEnvfv, and TexEnviv when the <pname> parameter value is COMBINE_RGB_ARB or COMBINE_ALPHA_ARB
`static int` `GL_MODULATE_SUBTRACT_ATI` Accepted by the <params> parameter of TexEnvf, TexEnvi, TexEnvfv, and TexEnviv when the <pname> parameter value is COMBINE_RGB_ARB or COMBINE_ALPHA_ARB

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_MODULATE_ADD_ATI

    public static final int GL_MODULATE_ADD_ATI

  Accepted by the <params> parameter of TexEnvf, TexEnvi, TexEnvfv, and TexEnviv when the <pname> parameter value is COMBINE_RGB_ARB or COMBINE_ALPHA_ARB

  See Also:
    Constant Field Values

### GL_MODULATE_SIGNED_ADD_ATI

    public static final int GL_MODULATE_SIGNED_ADD_ATI

  Accepted by the <params> parameter of TexEnvf, TexEnvi, TexEnvfv, and TexEnviv when the <pname> parameter value is COMBINE_RGB_ARB or COMBINE_ALPHA_ARB

  See Also:
    Constant Field Values

### GL_MODULATE_SUBTRACT_ATI

    public static final int GL_MODULATE_SUBTRACT_ATI

  Accepted by the <params> parameter of TexEnvf, TexEnvi, TexEnvfv, and TexEnviv when the <pname> parameter value is COMBINE_RGB_ARB or COMBINE_ALPHA_ARB

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.